Version 22.04
=============

For this release, the following major features were implemented:
 - `pyrate.sense`: A foundation for vision based obstacle detection has been merged, including a horizon line detector and base classes for simple image regions.
 - `pyrate.plan`: The classes based on *Shapely* have been prepared for a version bump to shapely 2.0 in the future.
 - `scripts`: A script has been added to quickly create test databases from GeoJSON.

Additionally, bugfixes and enhancements to the CI pipeline have been implemented.
As an example, reporting on missing statement coverage is now explicit in the respective job.

The [Wiki](https://gitlab.sailingteam.hg.tu-darmstadt.de/informatik/pyrate/-/wikis) has now been moved into a Sailing Team wide repository.
Here, information of all teams can be gathered in a single Wiki to increase exchange of information and improve coordination.

Version 21.10
=============

For this release, the following major features were implemented:
 - `pyrate.common`: Strategies for generating test cases for hypothesis are now available within Pyrate and can be 
   used by other projects too.
 - `pyrate.plan`: The database can now handle additional types of chart objects (points and line strings).

In addition, there were many bug fixes and QA improvements: We now reach 100% statement coverage and also collect
branch coverage. The latter is consistently above 95-99%, and we also enforce at least 90% in every contribution.

While not strictly part of Pyrate, it is worth mentioning that the [Wiki](https://gitlab.sailingteam.hg.tu-darmstadt.de/informatik/pyrate/-/wikis)
grew substantially. In particular, large articles on the hardware of our boats and the components were written.
Most pieces of equipment should now be straightforward to set up just by following the instructions there.


Version 21.04
=============

Versioning of *Pyrate* starts with this version as the current version covers all intended major areas of application.
A lot of early quirks have now been ironed out, and we hope that changes from now on will be less disrupting.
Prior to this, there were no labeled versions but simply an ongoing development effort.
