FROM ubuntu:22.04

# Resolve APT dependencies
ENV PYRATE = True
RUN apt-get update -qq
RUN apt-get install apt-utils software-properties-common -qq
RUN add-apt-repository ppa:antiprism/ppa -y
RUN apt-get install python3-pip g++ python3-dev python3-gdal libgdal-dev libsqlite3-mod-spatialite antiprism git -qq
RUN apt install graphviz -yqq

# Install additinal requirements
RUN pip3 install jupyter tensorflow tensorboard keras-tuner black[jupyter] mapply humanize jupyter-resource-usage
RUN pip3 install tensorflow-addons
RUN pip install jupyter_contrib_nbextensions
RUN jupyter contrib nbextension install --sys-prefix
RUN jupyter nbextension enable scratchpad/main --sys-prefix
RUN pip install git+https://github.com/SciTools/cartopy.git
RUN apt install vim nano -qqy
# Clone and install Pyrate
WORKDIR /pyrate
COPY setup.py .
COPY setup.cfg .
COPY pyrate/__init__.py pyrate/
COPY README.md .
RUN pip3 install .
COPY . .

WORKDIR /pyrate

CMD python3 -m route_generator

ARG TOKEN=72336c3d3c88e6f060bf3a27b8ea74007c0f0c14a747d55a
CMD jupyter notebook --ip 0.0.0.0 --port 8888 --no-browser --allow-root --NotebookApp.token=${TOKEN}
