"""The plan package provides tools to plan actions that can aid a roboter in reaching its goals.
One important goal is reaching certain locations despite physically constrained
movement abilities of a sailing vessel.
Thus, a big part of this package deals with navigation strategies.

In the ``geometry`` package, general geometrical objects and transformations are
provided in cartesian (local 2D world) and spherical (latitude/longitude) coordinates.

The ``graph`` module provides navigation tools where the world is modeled as a graph.
This includes generating a graph, assigning properties to nodes of the graph and
finding good paths on the graph."""
